Skip to main content
PATCH
/
api
/
users
/
{id}
Update a user
curl --request PATCH \
  --url https://clarus-api.com/api/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "users",
    "attributes": {
      "email": "[email protected]",
      "name": "<string>",
      "role_id": 123,
      "is_active": true,
      "language": "<string>",
      "timezone": "<string>",
      "string1": "<string>",
      "string2": "<string>",
      "string3": "<string>",
      "string4": "<string>",
      "string5": "<string>"
    }
  }
}
'
{
  "data": {
    "id": 123,
    "type": "users",
    "attributes": {
      "email": "[email protected]",
      "role_id": 123,
      "name": "<string>",
      "is_active": true,
      "language": "<string>",
      "timezone": "<string>",
      "external_system_reference1": "<string>",
      "external_system_reference2": "<string>",
      "external_system_reference3": "<string>",
      "string1": "<string>",
      "string2": "<string>",
      "string3": "<string>",
      "string4": "<string>",
      "string5": "<string>"
    }
  }
}

Request Structure

{
  "data": {
    "type": "users",
    "attributes": {
      "name": "John D. Smith",
      "role_id": 10,
      "is_active": false
    }
  }
}

Key Fields

FieldRequiredDescription
emailNoUpdated email address
nameNoUpdated display name
role_idNoNew role assignment
is_activeNoEnable or disable user

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Path Parameters

id
integer
required

The unique identifier of the user to update

Body

application/json
data
object
required

Response

User updated successfully

data
object